Issue 30979 - OO Asserts and crashes with small OXP doc
Summary: OO Asserts and crashes with small OXP doc
Status: CLOSED IRREPRODUCIBLE
Alias: None
Product: Writer
Classification: Application
Component: code (show other issues)
Version: 680m45
Hardware: PC Windows XP
: P3 Trivial (vote)
Target Milestone: ---
Assignee: flr
QA Contact: issues@sw
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-07-01 14:24 UTC by ilkkap
Modified: 2013-08-07 14:38 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments
Office document crashing OO. (242.50 KB, application/msword)
2004-07-01 14:26 UTC, ilkkap
no flags Details
Assert print screens, call stack etc. (112.00 KB, application/msword)
2004-07-01 14:27 UTC, ilkkap
no flags Details

Note You need to log in before you can comment on or make changes to this issue.
Description ilkkap 2004-07-01 14:24:57 UTC
I've tried to open a small .doc made with Office XP.
OO asserts few times (see attached file) and then opens the doc (does not look 
good).
After trying to save, OO asserts 20 times and then crashes (no file created).
I tried it with Windows XP SP1, IE6SP1, 256MB Ram, P4, 30GB free disk space.
Didn't find any relevant issue in the issuezilla. I know this is a developer 
release, but just trying to help.

Thanks.
Comment 1 ilkkap 2004-07-01 14:26:28 UTC
Created attachment 16221 [details]
Office document crashing OO.
Comment 2 ilkkap 2004-07-01 14:27:02 UTC
Created attachment 16222 [details]
Assert print screens, call stack etc.
Comment 3 mci 2004-07-01 15:43:28 UTC
Doc2.doc doesn't crash src680m45 here on Solaris...
Comment 4 eric.savary 2004-07-01 17:21:52 UTC
ES->OS: Crash report ID 169172
I don't know who to forward to. Please dispatch or fix.
Comment 5 Oliver Specht 2004-07-02 06:26:46 UTC
>	sw680mi.dll!SwIndex::ChgValue() 	C++
 	sw680mi.dll!SwIndex::Assign() 	C++
 	sw680mi.dll!SwWW8Writer::WriteText() 	C++
 	sw680mi.dll!SwWW8Writer::WriteMainText() 	C++
 	sw680mi.dll!SwWW8Writer::StoreDoc1() 	C++
 	sw680mi.dll!SwWW8Writer::StoreDoc() 	C++
 	sw680mi.dll!SwWW8Writer::WriteStorage() 	C++
 	sw680mi.dll!StgWriter::Write() 	C++
 	sw680mi.dll!Writer::Write() 	C++
 	sw680mi.dll!SwWriter::Write() 	C++
 	sw680mi.dll!SwDocShell::ConvertTo() 	C++
 	sfx680mi.dll!SfxObjectShell::SaveTo_Impl() 	C++
 	sfx680mi.dll!SfxObjectShell::PreDoSaveAs_Impl() 	C++
 	sfx680mi.dll!SfxObjectShell::CommonSaveAs_Impl() 	C++
 	sfx680mi.dll!SfxObjectShell::GUISaveAs_Impl() 	C++
 	sfx680mi.dll!SfxObjectShell::ExecFile_Impl() 	C++
 	sfx680mi.dll!SfxStubSfxObjectShellExecFile_Impl() 	C++
 	sfx680mi.dll!SfxDispatcher::Call_Impl() 	C++
 	sfx680mi.dll!SfxDispatcher::_Execute() 	C++
 	sfx680mi.dll!SfxBindings::Execute_Impl() 	C++
 	sfx680mi.dll!SfxDispatchController_Impl::dispatch() 	C++
 	sfx680mi.dll!SfxOfficeDispatch::dispatch() 	C++
 	fwk680mi.dll!framework::MenuBarManager::Select() 	C++
 	fwk680mi.dll!framework::MenuBarManager::LinkStubSelect() 	C++
Comment 6 macgyvers2001 2004-07-05 22:23:20 UTC
Hello,
With the OOo 680m45 (no sources), the Doc2.doc, has opened perfectly, but lot of
bug exist in the file. In fact the document is durty :-(

tchuss
Comment 7 ilkkap 2005-01-21 18:04:21 UTC
Works well with 1.9.m69, so this issue can be closed.
Comment 8 martin_maher 2005-04-13 17:15:50 UTC
mmaher->flr: Yours I think
Comment 9 andreas.martens 2005-06-28 15:14:48 UTC
Closed as requested by submitter.
Comment 10 andreas.martens 2005-06-28 15:15:22 UTC
Closed.
Comment 11 Mathias_Bauer 2006-02-16 11:13:53 UTC
.